Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime
Class ObjectNotFoundException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--javax.jdo.JDOException
                              |
                              +--javax.jdo.JDOCanRetryException
                                    |
                                    +--javax.jdo.JDODataStoreException
                                          |
                                          +--com.solarmetric.kodo.runtime.DataStoreException
                                                |
                                                +--com.solarmetric.kodo.runtime.ObjectNotFoundException

All Implemented Interfaces:
  Serializable

public class ObjectNotFoundException
extends DataStoreException
implements Serializable

Indicates that an object was not found. This will be thrown from `PersistenceManager.getObjectById(java.lang.Object, boolean)` if the specified id is not found. Note: Section 17.1.4 of the JDO 1.0 specification states that when an object is not found then an instanceof `JDOUserException` should be thrown. However, the reference implementation throws a `JDODataStoreException`, and the TCK tests for this behavior. Furthermore, discussion on the expert group mailing list indicates that the behavior of the RI is correct. Thus, this exception is an instance of `JDODataStoreException`.

See Also:
  Serialized Form

Fields inherited from class javax.jdo.JDOException
`failed, nested`

Constructor Summary
`ObjectNotFoundException()`
`ObjectNotFoundException(String msg)`
`ObjectNotFoundException(String msg, Object failed)`
`ObjectNotFoundException(String msg, Throwable nested)`
`ObjectNotFoundException(String msg, Throwable[] nested)`
`ObjectNotFoundException(String msg, Throwable[] nested, Object failed)`
`ObjectNotFoundException(String msg, Throwable nested, Object failed)`

Method Summary
`Object` | `writeReplace()` If the failed object in this exception cannot be serialized, it will be replaced with the Object ID of the object, or the stringified form of the object if it is not persistent.

Methods inherited from class javax.jdo.JDOException
`, getFailedObject, getNestedExceptions, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectNotFoundException

    public ObjectNotFoundException()

### ObjectNotFoundException

    public ObjectNotFoundException(String msg)

### ObjectNotFoundException

    public ObjectNotFoundException(String msg,
                                   Object failed)

### ObjectNotFoundException

    public ObjectNotFoundException(String msg,
                                   Throwable nested)

### ObjectNotFoundException

    public ObjectNotFoundException(String msg,
                                   Throwable[] nested)

### ObjectNotFoundException

    public ObjectNotFoundException(String msg,
                                   Throwable nested,
                                   Object failed)

### ObjectNotFoundException

    public ObjectNotFoundException(String msg,
                                   Throwable[] nested,
                                   Object failed)

Method Detail

### writeReplace

    public Object writeReplace()
                        throws ObjectStreamException

  If the failed object in this exception cannot be serialized, it will be replaced with the Object ID of the object, or the stringified form of the object if it is not persistent.
  Overrides:
    `writeReplace` in class `DataStoreException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.